Attribute VB_Name = "Module1"
Sub main()
Dim oRec As New ADODB.Record
Dim oCon As New ADODB.Connection
Dim strURL As String

strURL = "file://./backofficestorage/ywd.extest.microsoft.com/mbx/user1/inbox/NewMsg.eml"

With oCon
    .ConnectionString = strURL
    .Provider = "Exoledb.datasource"
    .Open
End With

oRec.Open strURL, oCon, adModeReadWrite
Debug.Print oRec.Fields("http://schemas.microsoft.com/mapi/proptag/0x001a001f").Name & _
        " = " & oRec.Fields("http://schemas.microsoft.com/mapi/proptag/0x001a001f").Value

Debug.Print oRec.Fields("urn:schemas:mycompany:prop1").Name & _
        " = " & oRec.Fields("urn:schemas:mycompany:prop1").Value
oRec.Fields.Append "urn:schemas:mycompany:prop1", adBSTR, , , "prop1 value"
oRec.Fields.Update

Set oRec = Nothing
Set oCon = Nothing
End Sub
